Bug 739798 - Review Request: pcp-gui - Visualization tools for the Performance Co-Pilot toolkit
Summary: Review Request: pcp-gui - Visualization tools for the Performance Co-Pilot to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Frank Ch. Eigler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 04:23 UTC by Mark Goodwin
Modified: 2012-05-26 07:28 UTC (History)
5 users (show)

Fixed In Version: pcp-gui-1.5.5-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-16 19:31:46 UTC
fche: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mark Goodwin 2011-09-20 04:23:43 UTC
Spec URL: ftp://oss.sgi.com/projects/pcp/download/rpm/pcp-gui/pcp-gui.spec
SRPM URL: ftp://oss.sgi.com/projects/pcp/download/rpm/pcp-gui/pcp-gui-1.5.1-1.fc15.src.rpm

Description:
pcp-gui provides Visualization tools for the Performance Co-Pilot (PCP) toolkit
PCP provides a framework and services to support system-level performance 
monitoring and performance management.

The PCP GUI package primarily includes visualization tools for
monitoring systems using live and archived PCP sources.

These tools have dependencies on graphics libraries which may or
may not be installed on server machines, so PCP GUI is delivered,
managed and maintained as a separate (source and binary) package
to the core PCP infrastructure.

Review Notes:

The license in the spec is currently: GPLv2+ and LGPLv2+ and Qwt
I'm checking on the inclusion of "Qwt" and will update this BZ once known.
This license currently fails rpmlint scrutiny.

The pcp-gui package requires the base package (pcp) at run-time and the
pcp-libs-devel package for build. For further background reading, the
PCP home page is http://oss.sgi.com/projects/pcp

Note there is no pcp-gui-devel package and currently no plans for that.

Comment 1 Mark Goodwin 2011-09-22 00:27:07 UTC
License in the spec updated from "GPLv2+ and LGPLv2+ and Qwt"
to "GPLv2+ and LGPLv2+ and LGPLv2+ with exceptions". This is a
triple licensed open source package.

For reference :
The QWT license is described at http://qwt.sourceforge.net/qwtlicense.html
and is "LGPLv2+ with exceptions" according to information in
http://fedoraproject.org/wiki/Licensing:Main

Regards
-- Mark

Comment 2 Frank Ch. Eigler 2011-11-14 16:42:35 UTC
FAIL MUST: rpmlint, tested on F15 x86-64 build:
           [root@very]~/rpmbuild# rpmlint SRPMS/pcp-gui-1.5.1-1.fc15.src.rpm 
           [1 packages and 0 specfiles checked; 0 errors, 0 warnings.
           [[root@very]~/rpmbuild# rpmlint RPMS/x86_64/pcp-*
           [pcp-gui.x86_64: E: standard-dir-owned-by-package /usr/share/man/man1
           [pcp-gui.x86_64: E: standard-dir-owned-by-package /var/lib
           [pcp-gui.x86_64: E: incorrect-fsf-address /usr/libexec/pcp/bin/pmsnap
           [pcp-gui-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pcp-gui-1.5.1/src/chart/main.cpp
           [pcp-gui-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pcp-gui-1.5.1/src/chart/pmchart.cpp
           [pcp-gui-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pcp-gui-1.5.1/src/chart/namespace.cpp
           [3 packages and 0 specfiles checked; 6 errors, 0 warnings.
PASS MUST: The spec file name must match the base package.
FAIL MUST: No gross violations of Packaging:Guidelines seen.
           Minor stuff: run desktop-file-install on pmchart.desktop.
PASS MUST: The package must be licensed with a Fedora approved license 
PASS MUST: The License field in the package spec file must match the actual license.
           (COPYING file includes all licenses).
PASS MUST: [License file included in %doc]
PASS MUST: The spec file must be written in American English
PASS MUST: The spec file for the package MUST be legible
PASS MUST: The sources used to build the package must match the upstream source
PASS MUST: The package MUST successfully compile and build into binary rpms
PASS MUST: If the package does not successfully compile, build or work on an architecture -- none found
PASS MUST: All build dependencies must be listed in BuildRequires, 
PASS MUST: The spec file MUST handle locales properly -- package not i18n'd
PASS MUST: Every binary RPM package (or subpackage) which stores shared library files -- none
PASS MUST: Packages must NOT bundle copies of system libraries.
PASS MUST: If the package is designed to be relocatable, the packager must state this fact
PASS MUST: A package must own all directories that it creates. 
PASS MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
PASS MUST: Permissions on files must be set properly -- no gross errors seen
PASS MUST: MUST: Each package must consistently use macros -- minimal use
PASS MUST: The package must contain code, or permissable content
PASS MUST: Large documentation files must go in a -doc subpackage.
           NB: it's named pcp-doc rather than pcp-gui-doc.
PASS MUST: If a package includes something as %doc, it must not affect the runtime of the application. -- apparently
PASS MUST: Header files must be in a -devel package -- none
PASS MUST: Static libraries must be in a -static package. 
PASS MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1) -> -devel -- none
PASS MUST: In the vast majority of cases, devel packages must require [...] - none
PASS MUST: Packages must NOT contain any .la libtool
FAIL MUST: Packages containing GUI applications must include a %{name}.desktop file,
           Package's pmchart.desktop needs to be desktop-file-install'd
FAIL MUST: Packages must not own files or directories already owned by other packages.
           Same as rpmlint errors at top.
PASS MUST: All filenames in rpm packages must be valid UTF-8.

OK   SHOULD: If the source package does not include license text(s) [...]
OK   SHOULD: The description and summary sections in the package spec file should contain translations -- n/a
KO   SHOULD: The reviewer should test that the package builds in mock -- tested on f15 native system only
KO   SHOULD: The package should compile and build into binary rpms on all supported architectures
OK   SHOULD: The reviewer should test that the package functions as described. -- smoke-tested
OK   SHOULD: If scriptlets are used, those scriptlets must be sane -- no scriptlets
OK   SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency
             NB: pcp-gui & pcp-doc subpackage not mutually required
OK   SHOULD: The placement of pkgconfig(.pc) files depends -- none
OK   SHOULD: If the package has file dependencies outside -- no /file dependencies
OK   SHOULD: your package should contain man pages for binaries/scripts -- includes 8 man pages in main package


Bottom line, looks good except for rpmlint errors, and missing desktop-file-install.

Comment 3 Mark Goodwin 2011-11-15 09:00:37 UTC
Thanks for the review Frank. I've fixed all but one of the rpmlint complaints
in the Fedora spec directly (will upload the new spec, srpms and binary
RPMs soon, and update this BZ). These now all pass rpmlint with no errors.

The one fix that needed a source change has been posted upstream, see 
http://oss.sgi.com/pipermail/pcp/2011-November/002000.html
and ack'd here: http://oss.sgi.com/pipermail/pcp/2011-November/002001.html
so this fix will be in the next pcp-gui release.

Cheers
-- Mark

Comment 5 Mark Goodwin 2011-11-28 11:19:11 UTC
Spec URL:
ftp://oss.sgi.com/projects/pcp/download/rpm/pcp-gui/pcp-gui.spec

SRPM URL:
ftp://oss.sgi.com/projects/pcp/download/rpm/pcp-gui/pcp-gui-1.5.1-2.fc15.src.rpm

New binary RPM packages:
ftp://oss.sgi.com/projects/pcp/download/rpm/pcp-gui/Latest

These are built from my pcp-gui dev branch (just waiting for the
commits to be pulled into the main dev tree, after which we'll
need to merge to master and do a release before committing to
Fedora).

-- Mark

Comment 6 Frank Ch. Eigler 2011-11-28 17:24:29 UTC
Mark, those ftp:// URLs don't happen to resolve for me, but http:// do.
In the new spec file, I don't see desktop-file-install, just a
desktop-file-validate call.  Is that intentional?

Comment 7 Mark Goodwin 2011-11-29 01:18:36 UTC
Frank, hmm, those ftp URLs should resolve - are you using a proxy or something?
Works for me.

Regarding desktop-file-install: desktop-file-validate can be used instead
under certain circumstances (which seemed to apply in this case), as per :
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
I can change it if you want - have to respin anyway once nathan pulls in the
copyright changes. BTW, pcp needs the same batch of copyright changes too,
which I'll take care of asap.

Regards
-- Mark

Comment 8 Frank Ch. Eigler 2011-11-29 01:24:45 UTC
In that case, glad to conclude this review, conditional on those copyright trivialities being settled.

Comment 9 Frank Ch. Eigler 2011-12-05 10:46:55 UTC
New Package SCM Request
=======================
Package Name: pcp-gui
Short Description: Visualization tools for the Performance Co-Pilot toolkit
Owners: mgoodwin
Branches: f15 f16 el6
InitialCC:

Comment 10 Gwyn Ciesla 2011-12-05 12:53:27 UTC
Git done (by process-git-requests).

Comment 11 Mark Goodwin 2011-12-06 11:33:13 UTC
Package Change Request
======================
Package Name: pcp-gui
New Branches: el5
Owners: mgoodwin
InitialCC: 

pcp-gui branch also needed for el5 please.
Note: pcp-gui does not build for el4.

Comment 12 Gwyn Ciesla 2011-12-06 13:17:20 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-12-15 10:39:36 UTC
pcp-gui-1.5.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.2-2.el6

Comment 14 Fedora Update System 2011-12-15 10:39:45 UTC
pcp-gui-1.5.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.2-2.fc15

Comment 15 Fedora Update System 2011-12-15 10:39:53 UTC
pcp-gui-1.5.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.2-2.el5

Comment 16 Fedora Update System 2011-12-15 10:40:02 UTC
pcp-gui-1.5.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.2-2.fc16

Comment 17 Fedora Update System 2011-12-16 17:41:17 UTC
pcp-gui-1.5.2-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 18 Fedora Update System 2012-01-16 19:31:46 UTC
pcp-gui-1.5.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Fedora Update System 2012-05-03 02:21:22 UTC
pcp-gui-1.5.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.5-1.fc15

Comment 20 Fedora Update System 2012-05-03 02:21:33 UTC
pcp-gui-1.5.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.5-1.fc16

Comment 21 Fedora Update System 2012-05-03 02:21:42 UTC
pcp-gui-1.5.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.5-1.el5

Comment 22 Fedora Update System 2012-05-03 02:21:52 UTC
pcp-gui-1.5.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.5-1.fc17

Comment 23 Fedora Update System 2012-05-03 02:22:01 UTC
pcp-gui-1.5.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.5-1.el6

Comment 24 Fedora Update System 2012-05-13 01:56:57 UTC
pcp-gui-1.5.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2012-05-13 01:58:09 UTC
pcp-gui-1.5.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2012-05-18 21:37:54 UTC
pcp-gui-1.5.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2012-05-18 21:38:23 UTC
pcp-gui-1.5.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2012-05-26 07:28:29 UTC
pcp-gui-1.5.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.